Subject: Trainer Candidate - Navreet Kaur
From: Navreet Kaur <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 3 Apr 2023 08:09:34 -0400

| | Tech Support Test

Name | Navreet Kaur
E-mail | [email-masked]
Phone Number | (91) 8968541528
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute only using Metro
Where do you currently live (area) | Patiala

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Tech Mahindra | Sr. QA | July | 40,000
Previous Employer 1 | | | |
Previous Employer 2 | | | |

If Selected, how much time do you need to join? | 1 week
Please briefly describe your work experience specifically in Quality? | Quality is a department that’s versatile in itself. I started my career as an analyst with eClerx services ltd. and got my hands on the major areas. It requires utmost attention, patience and great amount of product knowledge that I’m already good at! Hence, it’s been a great experience handling a team, certifying and training them, creating awareness and providing feedback for further improvement.
Have you worked as a Quality Manager in a Call Center/Customer Service/BPO Environment? | No
Please tell us below in 300 - 500 words about the most difficult situation in your experience as someone who is responsible to manage and bring improvements in quality of your team | While I was working as Sr. Quality Analyst at Tech Mahindra, it was a WFH project. Since the process was new, and the training provided didn’t discuss about the real time scenarios, our agents had a tough time handling the customers. I with my manager decided to take this as a challenge and we worked as a support 24*7 since QAs have the best knowledge and their experience cannot be neglected! Within a week the NPS started to get better our clients appreciated our efforts as a team.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Good customer service would be providing with a solution to the customer’s problem. On the other hand, great customer services involves human touch and empathy towards whatever our customer is going through. Building a connection and being in customer’s shoes is what creates the best experience!
What according to you makes you a good candidate for this position? | I have been leading my team and can say that my motivation works as a magic. On top of that, I have a amount of experience and can work under pressure. I give my 100% in whatever I do and have been appreciated for the same. I can easily build a good rapport with not just the team but with management and the clients!
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |